/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */

package com.funambol.domino.engine.cache;

import com.funambol.framework.engine.source.SyncSource;
import java.security.Principal;
import com.funambol.framework.engine.source.SyncSourceException;
import com.funambol.framework.engine.SyncItemKey;
import java.sql.Timestamp;
import com.funambol.framework.engine.SyncItem;

public class ExampleSyncSource extends CachedSyncSource implements SyncSource {

    /**
     * beginSync
     *
     * @param principal Principal
     * @param _int int
     * @throws SyncSourceException
     */
    public void beginSync(Principal principal, int _int) throws SyncSourceException {
    }

    /**
     * endSync
     *
     * @param principal Principal
     * @throws SyncSourceException
     */
    public void endSync(Principal principal) throws SyncSourceException {
    }


    /**
     * setSyncItem
     *
     * @param principal Principal
     * @param syncItem SyncItem
     * @return SyncItem
     * @throws SyncSourceException
     */
    public SyncItem setSyncItem(Principal principal, SyncItem syncItem) throws SyncSourceException {
        return null;
    }

    /**
     * setSyncItems
     *
     * @param principal Principal
     * @param syncItemArray SyncItem[]
     * @return SyncItem[]
     * @throws SyncSourceException
     */
    public SyncItem[] setSyncItems(Principal principal, SyncItem[] syncItemArray) throws
        SyncSourceException {
        return null;
    }

    /**
     * removeSyncItem
     *
     * @param principal Principal
     * @param syncItem SyncItem
     * @throws SyncSourceException
     */
    public void removeSyncItem(Principal principal, SyncItem syncItem) throws SyncSourceException {
    }

    /**
     * removeSyncItems
     *
     * @param principal Principal
     * @param syncItemArray SyncItem[]
     * @throws SyncSourceException
     */
    public void removeSyncItems(Principal principal, SyncItem[] syncItemArray) throws
        SyncSourceException {
    }


    /**
     * getAllSyncItems
     *
     * @param principal Principal
     * @return SyncItem[]
     * @throws SyncSourceException
     */
    public SyncItem[] getAllSyncItems(Principal principal) throws SyncSourceException {
        return null;
    }

    /**
     * getSyncItemsFromIds
     *
     * @param principal Principal
     * @param syncItemKeyArray SyncItemKey[]
     * @return SyncItem[]
     * @throws SyncSourceException
     */
    public SyncItem[] getSyncItemsFromIds(Principal principal, SyncItemKey[] syncItemKeyArray) throws
        SyncSourceException {
        return null;
    }

    /**
     * getSyncItemFromId
     *
     * @param principal Principal
     * @param syncItemKey SyncItemKey
     * @return SyncItem
     * @throws SyncSourceException
     */
    public SyncItem getSyncItemFromId(Principal principal, SyncItemKey syncItemKey) throws
        SyncSourceException {
        return null;
    }

    /**
     * getSyncItemFromTwin
     *
     * @param principal Principal
     * @param syncItem SyncItem
     * @return SyncItem
     * @throws SyncSourceException
     */
    public SyncItem getSyncItemFromTwin(Principal principal, SyncItem syncItem) throws
        SyncSourceException {
        return null;
    }


    public SyncItemInfo[] getAllSyncItemInfo() throws SyncSourceException {
        return null;
    }

    public SyncItemKey[] getAllSyncItemKeys() throws SyncSourceException {
        return null;
    }

    public SyncItem getSyncItemFromId(SyncItemKey syncItemKey) throws SyncSourceException {
        return null;        
    }

    public void removeSyncItem(SyncItemKey syncItemKey, Timestamp timestamp, boolean b) throws SyncSourceException {
    }

    public void removeSyncItem(SyncItemKey syncItemKey, Timestamp timestamp) throws SyncSourceException {
    }

    public SyncItem updateSyncItem(SyncItem syncItem) throws SyncSourceException {
        return null;        
    }

    public SyncItem addSyncItem(SyncItem syncItem) throws SyncSourceException {
        return null;        
    }

    public SyncItemKey[] getSyncItemKeysFromTwin(SyncItem syncItem) throws SyncSourceException {
        return null;        
    }

    public boolean mergeSyncItems(SyncItemKey syncItemKey, SyncItem syncItem) throws SyncSourceException {
        return false;        
    }

    public boolean isSyncItemInFilterClause(SyncItem syncItem) throws SyncSourceException {
        return false;        
    }

    public boolean isSyncItemInFilterClause(SyncItemKey syncItemKey) throws SyncSourceException {
        return false;        
    }

    public void setOperationStatus(String string, int i, SyncItemKey[] syncItemKey) {
       
    }

    protected void removeAllItems() throws SyncSourceException {
    }

}
