/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.domino.exception;

/**
 *
 * @author  Gilberto Migliavacca
 * @version $Id: EntityException.java,v 1.1 2006/08/08 08:31:57 gibi Exp $
 */
public class EntityException extends Exception {

    /**
     * Creates a new instance of <code>EntityException</code> without
     * detail message.
     */
    public EntityException() {

    }

    /**
     * Constructs an instance of <code>EntityException</code> with the
     * specified detail message.
     *
     * @param msg the detail message.
     */
    public EntityException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>EntityException</code> with the
     * specified exception.
     *
     * @param cause Throwable
     */
    public EntityException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructs an instance of <code>EntityException</code> with the
     * specified detail message.
     *
     * @param msg String
     * @param cause Throwable
     */
    public EntityException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
