--
-- Initialization data for the DominoSyncConnector module
--
-- @version $Id: init_schema.sql,v 1.2 2006/08/09 08:55:42 adeac Exp $ 
--


--
-- Source registration
--
delete from fnbl_sync_source_type where id='dom-ca';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('dom-ca','Domino Calendar SyncSource','com.funambol.domino.engine.source.DominoCalendarSyncSource','com.funambol.domino.admin.DominoSyncSourceConfigPanel');

delete from fnbl_sync_source_type where id='dom-co';
insert into fnbl_sync_source_type(id, description, class, admin_class) values('dom-co','Domino Contact SyncSource','com.funambol.domino.engine.source.DominoContactSyncSource','com.funambol.domino.admin.DominoSyncSourceConfigPanel');

delete from fnbl_module where id='dom';
insert into fnbl_module (id, name, description) values('dom','domino','domino');

delete from fnbl_connector where id='dom';
insert into fnbl_connector(id, name, description, admin_class) values('dom','FunambolDominoConnector','Funambol Domino Connector','com.funambol.domino.admin.DominoConnectorConfigPanel');

insert into fnbl_connector_source_type(connector, sourcetype) values('dom','dom-ca');
insert into fnbl_connector_source_type(connector, sourcetype) values('dom','dom-co');

delete from fnbl_module_connector where module='dom' and connector='dom';
insert into fnbl_module_connector(module, connector) values('dom','dom');